﻿@using EnergyMission

@Html.DevExpress().GridView(settings =>
{
    GridViewSettingsHelper.GridViewSettingsDefaults("gvSettingsManagerRoles", "ManagerRoles", Ajax, Html, ViewContext, settings);
    settings.Settings.VerticalScrollBarMode = ScrollBarMode.Visible;
    settings.CallbackRouteValues = new { Controller = "TeamManagers", Action = "GridViewPartial" };
    //settings.Settings.VerticalScrollableHeight = 200;

    settings.Columns.Add("Person.persons").Caption = "Manager";
    settings.Columns.Add("Person.EmailAddress").Caption = "Email address";

    settings.Columns.Add(column =>
    {
        //column.FieldName = "Id";

        column.SetDataItemTemplateContent(c =>
        {


            int value = Convert.ToInt32(DataBinder.Eval(c.DataItem, "Person.Status"));
            string classs = "";
            if (value == 0)
            {
                classs = "fa fa-long-arrow-left";


            }
            else if (value == 1)
            {
                classs = "fa fa-long-arrow-right";

            }

            else if (value == 2)
            {
                classs = "fa fa-check";
            }
            else if (value == 3)
            {
                classs = "fa fa-check";
            }
            else
            {
                classs = "fa fa-check";

            }
            ViewContext.Writer.Write(String.Format("<span class='verified'> <a herf='#'> <i class='" + classs + "' > </i></a> </span>"));
            
           
            ViewContext.Writer.Write(

                 Ajax.ActionLink("Delete", "Delete", "TeamManagers",
                        new
                        {
                            Id = DataBinder.Eval(c.DataItem, "Id"),
                            @style = "color:#eb4d4e"
                        },
                        new AjaxOptions
                        {
                            Confirm = "Delete this record?",
                            HttpMethod = "DELETE",
                            OnSuccess = "OnSuccess(data, 'gvSettingsManagerRoles')"
                        }) + "&nbsp;"

               );
            ViewContext.Writer.Write(String.Format("<div class='popup'> <span class='status'>Verification Status</span><ul> <li><i class='fa fa-long-arrow-left'></i> Request Verification</li><li><i class='fa fa-check'></i> Varified</li><li><i class='fa fa-close'></i> Not Varified</li></ul></div>"));



        });
    });

}).Bind(Model).GetHtml()

@*<li><i class='fa fa-question'></i> Unknown</li>*@

@*<li><i class='fa fa-long-arrow-right'></i> Awaiting Response</li>*@